.ns-flex-trusted-co {
	box-sizing: border-box;
	padding-block: 40px 30px !important;
	background-color: var(--ns-flex-trusted-co-background, transparent);
}

.ns-flex-trusted-co *,
.ns-flex-trusted-co *::before,
.ns-flex-trusted-co *::after {
	box-sizing: border-box;
}

.ns-flex-trusted-co__body {
	width: 100%;
	max-width: var(--base-container-width, 100%);
	margin-inline: auto;
}

.ns-flex-trusted-co__body.has-top-border {
	padding-top: var(--ns-flex-trusted-co-top-border-spacing-mobile, 0px);
	border-top: 1px dotted var(--ns-flex-trusted-co-top-border-color, #707070);
}

.ns-flex-trusted-co__body.has-bottom-border {
	padding-bottom: var(--ns-flex-trusted-co-bottom-border-spacing-mobile, 0px);
	border-bottom: 1px dotted var(--ns-flex-trusted-co-bottom-border-color, #707070);
}

.ns-flex-trusted-co__title {
	padding-inline: var(--base-gap, 20px);
	margin: 0 0 27px;
	color: var(--ns-flex-trusted-co-title-color, #231f20);
	font-family: "Barlow", sans-serif;
	font-size: 24px;
	font-weight: 400;
	font-style: normal;
	line-height: 28px;
	text-align: center;
}

.ns-flex-trusted-co__carousel {
	--slide-size: 42%;
	--slide-spacing: 24px;
}

.ns-flex-trusted-co__carousel + .ns-flex-trusted-co__carousel {
	margin-block-start: 24px;
}

.ns-flex-trusted-co__slide {
	text-align: center;
	opacity: 0;
	transition: opacity 750ms;
}

.ns-flex-trusted-co__slide.-inited- {
	opacity: 1;
}

.ns-flex-trusted-co__logo {
	--trusted-logo-height: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	height: var(--trusted-logo-height);
}

.ns-flex-trusted-co__logo-wrap {
	max-height: var(--trusted-logo-height);
}

.ns-flex-trusted-co .ns-flex-trusted-co__logo-image {
	display: block;
	width: auto;
	max-width: 148px;
	height: auto;
	max-height: var(--trusted-logo-height);
	margin: 0;
	vertical-align: top;
}

@media (min-width: 768px) {
	.ns-flex-trusted-co {
		padding-block: 46px 32px !important;
	}

	.ns-flex-trusted-co__body.has-top-border {
		padding-top: var(--ns-flex-trusted-co-top-border-spacing-tablet, var(--ns-flex-trusted-co-top-border-spacing-mobile, 0px));
	}

	.ns-flex-trusted-co__body.has-bottom-border {
		padding-bottom: var(--ns-flex-trusted-co-bottom-border-spacing-tablet, var(--ns-flex-trusted-co-bottom-border-spacing-mobile, 0px));
	}

	.ns-flex-trusted-co__title {
		margin-block-end: 42px;
	}

	.ns-flex-trusted-co__carousel {
		--slide-size: 25%;
	}

	.ns-flex-trusted-co__logo {
		--trusted-logo-height: 64px;
	}
}

@media (min-width: 1200px) {
	.ns-flex-trusted-co__body.has-top-border {
		padding-top: var(--ns-flex-trusted-co-top-border-spacing-desktop, var(--ns-flex-trusted-co-top-border-spacing-tablet, var(--ns-flex-trusted-co-top-border-spacing-mobile, 0px)));
	}

	.ns-flex-trusted-co__body.has-bottom-border {
		padding-bottom: var(--ns-flex-trusted-co-bottom-border-spacing-desktop, var(--ns-flex-trusted-co-bottom-border-spacing-tablet, var(--ns-flex-trusted-co-bottom-border-spacing-mobile, 0px)));
	}

	.ns-flex-trusted-co__carousel {
		--slide-size: 20%;
		width: 100%;
		max-width: 1200px;
		margin-inline: auto;
		-webkit-mask-image: linear-gradient(to right, #000 calc(100% - 150px), transparent 100%);
		mask-image: linear-gradient(to right, #000 calc(100% - 150px), transparent 100%);
	}

	.ns-flex-trusted-co__viewport {
		-webkit-mask-image: linear-gradient(to left, #000 calc(100% - 150px), transparent 100%);
		mask-image: linear-gradient(to left, #000 calc(100% - 150px), transparent 100%);
	}
}
